Subject: [decade] FW: Application protocol for distributed storage

From: Song Haibin <[email-masked]>
Date: Thu, 21 Jan 2010 15:29:19 +0800

This is an email from the Apps discussion list. I think it is worth to be
forwarded to DECADE list.

Haibin

> -----Original Message-----
> From: Woundy, Richard [mailto:[email-masked]] 
> Sent: Saturday, January 16, 2010 6:20 AM
> To: Wesley Leggette; Song Haibin; Alexey Melnikov
> Cc: IETF Apps Discuss; Woundy, Richard
> Subject: RE: Application protocol for distributed storage
> 
> Wesley,
> 
> >Instead, we are interested in using IDAs[2]
> 
> You didn't supply a reference for IDAs, but I suspect this is what you
> meant: <http://www.cleversafe.org/dispersed-storage/idas>. It 
> seems that you are storing slices of data across distributed 
> storage locations, (1) to maximize storage efficiency and (2) 
> to minimize data exposure if one or more storage servers are 
> compromised. If so, I agree you do seem to be trying to solve 
> a slightly different problem than Decade's.
> 
> At the same time, there is some potential areas of 
> commonality, particular in the case of data control and 
> transport protocols.
> 
> From <http://www.cleversafe.com/vision/object-storage>: "If 
> your application is housing your metadata, and only object 
> storage is required, the Simple Object interface can be 
> accessed with either a Java SDK, or HTTP/REST API. Simple 
> PUT, GET, DELETE commands allow your applications to access 
> digital content, and the resulting object ID is stored 
> directly within the application."
> 
> From
> <http://www.cleversafe.com/vision/Dispersed_Data_Archiving_Top
> -10-Featur
> es>: "dsNet systems can be accessed in numerous ways.  Today we offer
> iSCSI and a straight block interface, soon to come releases 
> support FTP, NFS, CIFS (SMB) and webDAV, making your data 
> universally accessible to any application you might conceive 
> for it.  Our authentication systems are also pluggable 
> through PAM (Pluggable Authentication Modules)."
> 
> Since your company already sells a product, I am curious 
> about which interoperability problems you are trying to solve 
> (or avoid) by posting your internet-drafts. Are you enabling 
> any third-party client to leverage your cloud storage? Could 
> other cloud storage vendors leverage the same network protocols?
> 
> Are there any patents that the IETF should be aware of, e.g.
> <http://www.google.com/patents?q=cleversafe>?
> 
> -- Rich
> 
> -----Original Message-----
> From: Wesley Leggette [mailto:[email-masked]]
> Sent: Thursday, January 14, 2010 11:03 PM
> To: Song Haibin; Alexey Melnikov
> Cc: IETF Apps Discuss; Woundy, Richard
> Subject: Re: Application protocol for distributed storage
> 
> 
> 
> 
> The DECADE work is interesting, but it is not specifically what we are
> working on. Our system, I'm sure, uses some of the same 
> principals, but
> we
> are focusing on hosted systems. Sort of a "hosted P2P" if you will.
> 
> So while our system [1] will address dynamic peer environments, it is
> not
> our main concern because our storage nodes are assumed to be available
> in
> the usual case. Instead, we are interested in using IDAs[2] to enhance
> availability, reliability, and security.
> 
> [1] http://www.cleversafe.com/
> 
> However, DECADE does seem very interesting. There are some 
> people in my
> company that may be interested in participating in that if it gets
> going.
> 
> Wesley Leggette
> Cleversafe, Inc.
> 
> 
> On 1/14/10 21:41, "Song Haibin" <[email-masked]> wrote:
> 
> > Hi Wesley,
> > 
> > I'm very glad to get this email from Alexey. The link below is about
> the BOF
> > information at IETF 76 meeting.
> > http://trac.tools.ietf.org/bof/trac/wiki/decade
> > 
> > And we have been trying to narrow down the protocol scope 
> to resource
> > control and negotiation of transport protocol as we have 
> discussed in
> the
> > mailing list. You could read about the latest thread here:
> >
> http://www.ietf.org/mail-archive/web/decade/current/threads.ht
> ml#00106.
> > 
> > Please let me know if it is the work that you are interested.
> > 
> > Xie Xie,
> > Haibin
> > 
> > 
> >> -----Original Message-----
> >> From: Alexey Melnikov [mailto:[email-masked]]
> >> Sent: Friday, January 15, 2010 7:05 AM
> >> To: Wesley Leggette
> >> Cc: [email-masked]; 'Woundy, Richard'; Song Haibin
> >> Subject: Re: Application protocol for distributed storage
> >> 
> >> Wesley Leggette wrote:
> >> 
> >>> Hello,
> >>> 
> >>> 
> >> Hi Wesley,
> >> 
> >>> My company is interested in submitting an I-D for our network
> >>> distributed storage protocol. At this point, we're thinking
> >> of dividing
> >>> our efforts into multiple parts:
> >>> 
> >>> * An on-the-wire application protocol from client to storage
> servers.
> >>> * A security protocol.
> >>> * A data processing method and storage format for client
> >> data stored on
> >>> storage servers.
> >>> 
> >>> I'm not entirely clear which working group(s) I should
> >> attempt to work with.
> >>> Any pointers would be helpful.
> >>> 
> >>> 
> >>> Our application and products as a whole get into the 
> "cloud storage"
> >>> area, but we would like to focus on a smaller subset (just
> >> the network
> >>> protocol) to begin with. However, if there are any working groups
> >>> within IETF that focus on remote or distributed storage that
> >> would be
> >>> interesting to know as well.
> >>> 
> >>> 
> >> This looks similar to the DECADE BOF that IETF had in
> >> Hiroshima. I am hoping this would become a WG soon.
> >> (I've CCed the BOF co-chairs).
> >> 
> >> Regards,
> >> Alexey
> >> 
> >> --
> >> IETF Application Area Director, <http://www.ietf.org/IESGmems.html>
> >> Internet Messaging Team Lead, <http://www.isode.com>
> >> JID: same as my email address
> >> 
> >> 
> > 
> > 
> 
>